%define upstream_name Mojolicious-Plugin-YamlConfig
%define upstream_version 0.2.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    YAML Configuration Mojolicious plugin
License:    Artistic 2.0
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious) >= 8.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(YAML::XS) >= 0.800.0
BuildRequires: make
BuildRequires: perl
%description
Mojolicious::Plugin::YamlConfig is used to support YAML Configuration.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%make_install
%{_fixperms} %{buildroot}/*

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*


%changelog
* Fri Apr 17 2020 bcornec <bcornec> 0.2.2-1.mga8
+ Revision: 1568351
- Upload Mojolicious::Plugin::YamlConfig perl module
- Created package structure for perl-Mojolicious-Plugin-YamlConfig.

